<?php

namespace ThurData\Servers\KerioEmail\Core\Configuration\Addon\Activate;

use \ThurData\Servers\KerioEmail\Core\Configuration\Addon\AbstractBefore;
use \ThurData\Servers\KerioEmail\Core\ModuleConstants;
use \ThurData\Servers\KerioEmail\Core\ServiceLocator;
/**
 * Runs before module activation actions
 *
 * @autor ThurData <info@thurdata.ch>
 */
class Before extends AbstractBefore
{

    /**
     * @param array $params
     * @return array
     */
    public function execute(array $params = [])
    {
        $path = ModuleConstants::getModuleRootDir() . DS . 'storage';

        if (is_writable($path) === false || is_readable($path) === false)
        {
            $params['status'] = 'error';
            $params['description'] .= PHP_EOL . ServiceLocator::call('lang')
                    ->addReplacementConstant('storage_path', ModuleConstants::getFullPath('storage'))
                    ->absoluteT('permissionsStorage');
        }

        return $params;
    }
}
